# Changing default API rate limits

Akamas services are configured out-of-the-box to use API rate limiting on number of calls (per second and per minute) and on maximum size of payload. Most services use the following values:

```
max API calls per second: 100
max API calls per minute: 200
max payload size: 2Mb
```

For actual values for all services, see dedicated section in page [Default API rate limits](/akamas-docs/reference/default-api-rate-limits.md)

In order to change default configuration for API rate limits, you should use the same environment file that you configured in section [Online Installation](/akamas-docs/installing/kubernetes/install-akamas/online.md)or [Offline Installation - Private registry](/akamas-docs/installing/kubernetes/install-akamas/offline.md) . Under normal circumstances this will be `akamas.yaml` file. Also, changes must be performed before launching Akamas server. Otherwise, the server will have to be restarted to apply new changes.

In order to disable (by default they are enabled) API rate limits for services, you can disable them one by one (or just some of them) with the following lines:

```bash
# settings for analyzer service
analyzer:
  trafficLimits:
    enabled: false
# settings for campaign service
campaign:
  trafficLimits:
    enabled: false
# settings for keycloak service
keycloak:
  trafficLimits:
    enabled: false
# settings for license service
license:
  trafficLimits:
    enabled: false
# settings for log service
log:
  trafficLimits:
    enabled: false
# settings for metrics service
metrics:
  trafficLimits:
    enabled: false
# settings for optimizer service
optimizer:
  trafficLimits:
    enabled: false
# settings for orchestrator service
orchestrator:
  trafficLimits:
    enabled: false
# settings for store service
store:
  trafficLimits:
    enabled: false
# settings for system service
system:
  trafficLimits:
    enabled: false
# settings for telemetry service
telemetry:
  trafficLimits:
    enabled: false
# settings for user service (yes, the line below must be "users:" and not "user:")
users:
  trafficLimits:
    enabled: false
```

Instead, in order to set different API rate limits you should add the desired lines for any service you may want to change. Below is a complete list, assuming you want to change all of them. Warning: is not recommended to lower the limits. Anyway, the numbers below are pure examples and have already been increased from standard values

```yaml
# settings for analyzer service
analyzer:
  trafficLimits:
    enabled: true
    rate:
      perSecond: 200 # increased max API calls per second from 100 to 200
      perMinute: 300 # increased max API calls per minute from 200 to 300
    sizeMb: 3        # increased max payload size from 2Mb to 3Mb
# settings for campaign service
campaign:
  trafficLimits:
    enabled: true
    rate:
      perSecond: 200
      perMinute: 1000
    sizeMb: 3
# settings for keycloak service
keycloak:
  trafficLimits:
    enabled: true
    rate:
      perSecond: 200
      perMinute: 500
    sizeMb: 6
# settings for license service
license:
  trafficLimits:
    enabled: true
    rate:
      perSecond: 200
      perMinute: 300
    sizeMb: 3
# settings for log service
log:
  trafficLimits:
    enabled: true
    rate:
      perSecond: 200
      perMinute: 300
    sizeMb: 3
# settings for metrics service
metrics:
  trafficLimits:
    enabled: true
    rate:
      perSecond: 200
      perMinute: 400
    sizeMb: 6
# settings for optimizer service
optimizer:
  trafficLimits:
    enabled: true
    rate:
      perSecond: 200
      perMinute: 300
    sizeMb: 3
# settings for orchestrator service
orchestrator:
  trafficLimits:
    enabled: true
    rate:
      perSecond: 200
      perMinute: 300
    sizeMb: 3
# settings for store service
store:
  trafficLimits:
    enabled: true
    rate:
      perSecond: 200
      perMinute: 300
    sizeMb: 6
# settings for system service
system:
  trafficLimits:
    enabled: true
    rate:
      perSecond: 200
      perMinute: 300
    sizeMb: 3
# settings for telemetry service
telemetry:
  trafficLimits:
    enabled: true
    rate:
      perSecond: 200
      perMinute: 300
    sizeMb: 6
# settings for user service (yes, the line below must be "users:" and not "user:")
users:
  trafficLimits:
    enabled: true
    rate:
      perSecond: 200
      perMinute: 300
    sizeMb: 3

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.akamas.io/akamas-docs/installing/kubernetes/install-akamas/changing-default-api-rate-limits.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
